diff --git a/src/tools/msvc/pgflex.pl b/src/tools/msvc/pgflex.pl
index c5b90ad..0410e3a 100644
--- a/src/tools/msvc/pgflex.pl
+++ b/src/tools/msvc/pgflex.pl
@@ -16,7 +16,8 @@ my ($flexver) = `flex -V`;    # grab first line
 $flexver = (split(/\s+/, $flexver))[1];
 $flexver =~ s/[^0-9.]//g;
 my @verparts = split(/\./, $flexver);
-unless ($verparts[0] == 2 && $verparts[1] == 5 && $verparts[2] >= 31)
+unless ($verparts[0] == 2 &&
+	    ($verparts[1] > 5 || ($verparts[1] == 5 && $verparts[2] >= 31)))
 {
 	print "WARNING! Flex install not found, or unsupported Flex version.\n";
 	print "echo Attempting to build without.\n";
